---
- name: create dbus folder
  ansible.builtin.file:
    path: /var/run/dbus
    state: "directory"
    recurse: yes


- name: copy xorg.conf
  ansible.builtin.copy:
    src: /etc/X11/xrdp/xorg.conf
    dest: /etc/X11
    remote_src: yes

- name: replace Xwrapper.config
  ansible.builtin.replace:
    path: /etc/X11/Xwrapper.config
    regexp: '(\s+)console(\s+.*)?$'
    replace: 'anybody'

- name: replace sesman.ini
  ansible.builtin.replace:
    path: /etc/xrdp/sesman.ini
    regexp: '(\s+)xrdp/xorg(\s+.*)?$'
    replace: '/xorg'

- name: set skel Xsession
  ansible.builtin.lineinfile:
    path: /etc/skel/.Xsession
    line: xfce4-session
    create: yes